package cn.freemud.demoTest.service;


import cn.freemud.demoTest.entities.bo.BasePaySuccessBo;
import cn.freemud.demoTest.entities.dto.OrderInfoDemoDto;
import cn.freemud.demoTest.service.factory.ServiceFactory;

public class PlatformPaySuccessService extends AbstractTradeService {


    @Override
    public String paySuccessCallback(BasePaySuccessBo basePaySuccessBo, OrderInfoDemoDto orderInfoDemoDto) {


        AbstractPaySuccessService paySuccessService = ServiceFactory.createPaySuccessInstance(orderInfoDemoDto.getSource());

        String result = paySuccessService.paysuccess(basePaySuccessBo,orderInfoDemoDto);


        return "";
    }
}
